Issue2043

classification
Title: SyntaxError: mismatched input 'as' expecting COLON
Type: Severity: normal
Components: Core Versions: Jython 2.5
process
Status: closed Resolution: duplicate
Dependencies: Superseder: SyntaxError: mismatched input 'as' expecting COLON
View: 2050
Assigned To: Nosy List: acasari, jeff.allen
Priority: Keywords:

Created on 2013-04-27.20:50:15 by acasari, last changed 2013-05-17.22:56:19 by jeff.allen.

Messages
msg8000 (view) Author: Adolfo Casari (acasari) Date: 2013-04-27.20:50:15
I am getting this error in version 2.5.3

SyntaxError: mismatched input 'as' expecting COLON

Is it fixed in a newer version?
msg8001 (view) Author: Jeff Allen (jeff.allen) Date: 2013-04-28.17:16:29
Under what circumstances? Clearly this is a legitimate message in some cases ("for i in range(10) as" will do it).

Please give us a simple self-contained example that reproduces the problem.
msg8019 (view) Author: Jeff Allen (jeff.allen) Date: 2013-05-17.22:56:19
I'm assuming the circumstances are as described in #2050
History
Date User Action Args
2013-05-17 22:56:19jeff.allensetstatus: open -> closed
resolution: duplicate
superseder: SyntaxError: mismatched input 'as' expecting COLON
messages: + msg8019
2013-04-28 17:16:29jeff.allensetnosy: + jeff.allen
messages: + msg8001
2013-04-28 17:09:25jeff.allenlinkissue2042 superseder
2013-04-27 20:50:15acasaricreate